gnutls_cipher_add_auth(3)

NAME
gnutls_cipher_add_auth - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_cipher_add_auth(gnutls_cipher_hd_t handle, const void * text, size_t text_size);

ARGUMENTS

gnutls_cipher_hd_t handle
    is a gnutls_cipher_hd_t structure.

const void * text
    the data to be authenticated

size_t text_size
    The length of the data

DESCRIPTION
This function operates on authenticated encryption with associated data (AEAD) ciphers and authenticate the input data. This function can only be called once and before any encryption operations.

RETURNS
Zero or a negative value on error.

SINCE
2.99.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.